Bug 45097 - misplaced bullets table after .odt to .pdf export
Summary: misplaced bullets table after .odt to .pdf export
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-01-22 11:55 UTC by Carsten Niehaus
Modified: 2021-11-09 04:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the defect PDF file (91.24 KB, application/pdf)
2012-01-22 11:55 UTC, Carsten Niehaus
Details
Use this file to test the export (23.79 KB, application/vnd.oasis.opendocument.text)
2012-01-22 11:56 UTC, Carsten Niehaus
Details
Screenshot of the file (page 5 in the original PDF-file) (16.37 KB, image/png)
2012-01-22 11:58 UTC, Carsten Niehaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Niehaus 2012-01-22 11:55:44 UTC
Created attachment 55987 [details]
This is the defect PDF file

I have a file with a complex table which isn't correctly exported.





How to reproduce:

Open the attached odt-file.

Export to PDF.

Open the PDF and compare the bullets in the leftmost column. You will notice that some are outside the table while in the ODT-file they are not.

I attached a screenshot where this can be easily understood.
Comment 1 Carsten Niehaus 2012-01-22 11:56:25 UTC
Created attachment 55988 [details]
Use this file to test the export
Comment 2 Carsten Niehaus 2012-01-22 11:58:29 UTC
Created attachment 55989 [details]
Screenshot of the file (page 5 in the original PDF-file)
Comment 3 Carsten Niehaus 2012-01-22 12:12:22 UTC
I don't think this is related, but the file is the same as in bug 45098.
Comment 4 tester8 2012-01-26 13:06:13 UTC
Reproduced with

LOdev 3.5.0rc1
e40af8c-10029e3-615e522-88673a2-727f724
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

In pdf presents small black lines outside of table which are not present in .odt
Comment 5 Cor Nouws 2012-02-06 13:11:41 UTC
would like to test.
Cannot get attachment https://bugs.freedesktop.org/attachment.cgi?id=55988
(gives black screen to me ...)

Feel free to send it me bu mail :-)
thanks - Cor
Comment 6 Carsten Niehaus 2012-02-07 01:38:33 UTC
The issue persists in rc3 of LO 3.5.0:


LibreOffice 3.5.0rc3 
Build-ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735




Funny, the attachement works here...
Comment 7 Carsten Niehaus 2013-03-08 19:12:30 UTC
Still valid with Version 3.6.5.2 (Build ID: 5b93205)
Comment 8 tommy27 2014-04-26 07:24:30 UTC
still there in 4.2.3.3 under Win7x64

defective page is number 5/13
Comment 9 QA Administrators 2015-06-08 14:42:21 UTC Comment hidden (obsolete)
Comment 10 Buovjaga 2015-06-21 19:09:38 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 11 QA Administrators 2016-09-20 10:11:01 UTC Comment hidden (obsolete)
Comment 12 eisa01 2019-11-09 20:08:22 UTC
Still present

Version: 6.4.0.0.alpha1+
Build ID: 25c390e17a7f1c018b5eed1ef7dfd568b76f4a84
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 QA Administrators 2021-11-09 04:38:20 UTC
Dear Carsten Niehaus,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug